# Uses of Class
org.snpeff.nextProt.NextProtXmlAnnotation

Packages that use NextProtXmlAnnotation
Package
Description
org.snpeff.nextProt

## Uses of NextProtXmlAnnotation in org.snpeff.nextProt

Methods in org.snpeff.nextProt that return types with arguments of type NextProtXmlAnnotation
Modifier and Type
Method
Description
`List<NextProtXmlAnnotation>`
NextProtXmlEntry.`getAnnotations()`
Methods in org.snpeff.nextProt with parameters of type NextProtXmlAnnotation
Modifier and Type
Method
Description
`void`
NextProtXmlEntry.`add(NextProtXmlAnnotation ann)`
Add an annotation
`Markers`
NextProtMarkerFactory.`addMarkers(NextProtXmlEntry entry, NextProtXmlIsoform isoform, NextProtXmlAnnotation annotation, Location location, String trId)`
Create markers and add them
`Markers`
NextProtMarkerFactory.`nextProt(Transcript tr, NextProtXmlAnnotation annotation, Location location)`
Create a list of NextProt markers according to this annotation